be.fgov.ehealth.technicalconnector.ra.domain

## Class CertificateIdentifier.Builder

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.ra.domain.CertificateIdentifier.Builder

- Enclosing class:
    CertificateIdentifier

      public static final class CertificateIdentifier.Builder
      extends Object

  `CertificateIdentifier` builder static inner class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertificateIdentifier.Builder` | `actor(Actor actor)` Sets the `actor` and returns a reference to this Builder so that the methods can be chained together.
    `CertificateIdentifier.Builder` | `applicationId(String applicationId)` Sets the `applicationId` and returns a reference to this Builder so that the methods can be chained together.
    `CertificateIdentifier` | `build()` Returns a `CertificateIdentifier` built from the parameters previously set.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### actor

          public CertificateIdentifier.Builder actor(Actor actor)

      Sets the `actor` and returns a reference to this Builder so that the methods can be chained together.
      Parameters:
        `actor` - the `actor` to set
      Returns:
        a reference to this Builder

    - #### applicationId

          public CertificateIdentifier.Builder applicationId(String applicationId)

      Sets the `applicationId` and returns a reference to this Builder so that the methods can be chained together.
      Parameters:
        `applicationId` - the `applicationId` to set
      Returns:
        a reference to this Builder

    - #### build

          public CertificateIdentifier build()

      Returns a `CertificateIdentifier` built from the parameters previously set.
      Returns:
        a `CertificateIdentifier` built with parameters of this `CertificateIdentifier.Builder`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.